.PHONY : dummy
.SUFFIXES :

dummy :
	-for i in $(wildcard *) ; do \
	  if [ -d "$$i" -a "$$i" != "CVS" ]; then \
	    cd "$$i"; $(MAKE) ; \
	  fi ; \
	done

clean :
	find . -name "*.aux" -exec rm {} ";"
	find . -name "*.bbl" -exec rm {} ";"
	find . -name "*.blg" -exec rm {} ";"
	find . -name "*.dvi" -exec rm {} ";"
	find . -name "*.log" -exec rm {} ";"
	find . -name "*.ps" -exec rm {} ";"

% :
	-for i in $(wildcard *) ; do \
	  if [ -d "$$i" -a "$$i" != "CVS" ]; then \
	    cd "$$i"; $(MAKE) $(MAKECMDGOALS); \
	  fi ; \
	done


